#include <stdlib.h>
#include "SickBBang.h"

SickBBang::SickBBang(char *name)
	: MuckBBang(name)
{
	nBBang = 0;
}

SickBBang::~SickBBang(void)
{
}

void SickBBang::eatAppetizer()
{
	MuckBBang::eatAppetizer();
	nBBang = nBBang + 1; 
	printf("에피타이저로 빵 하나 먹고, ");
}

void SickBBang::eatEntree(int n)
{
	MuckBBang::eatEntree(n);
	printf("본격적으로 빵을 %d개 먹은 후, ",n);
	nBBang = nBBang + n;
}

void SickBBang::eatDessert()
{
	printf("디저트로 빵 세개 먹고 마무리 했읍니다.\n");
}

int SickBBang::howManyDoYouWant()
{
	int n = (int)rand();

	return n % 10;
}

void SickBBang::digest()
{
	printf("%s는 잠을 자면서 소화를 시킵니다.\n",id);
	addWeight(-1);
}

void SickBBang::print()
{
	printf("식빵인 %s는 몸무게가 %d그램이고 빵을 %d개 먹었읍니다.\n",id,weight,nBBang);
}